Package org.codehaus.groovy.ast.stmt

## Class Statement

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.stmt.Statement

- Direct Known Subclasses:
    `AssertStatement`, `BlockStatement`, `BreakStatement`, `BytecodeSequence`, `CaseStatement`, `CatchStatement`, `ContinueStatement`, `DoWhileStatement`, `EmptyStatement`, `ExpressionStatement`, `ForStatement`, `IfStatement`, `ReturnStatement`, `SwitchStatement`, `SynchronizedStatement`, `ThrowStatement`, `TryCatchStatement`, `WhileStatement`

      public class Statement
      extends ASTNode

  Base class for any statement

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Statement()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addStatementLabel​(java.lang.String label)` |
    `java.lang.String` | `getStatementLabel()` |
    `java.util.List<java.lang.String>` | `getStatementLabels()` |
    `boolean` | `isEmpty()` |
    `void` | `setStatementLabel​(java.lang.String label)` |

    - ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

      `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getNodeMetaData, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Statement

          public Statement()

  - ### Method Detail

    - #### getStatementLabels

          public java.util.List<java.lang.String> getStatementLabels()

    - #### getStatementLabel

          public java.lang.String getStatementLabel()

    - #### setStatementLabel

          public void setStatementLabel​(java.lang.String label)

    - #### addStatementLabel

          public void addStatementLabel​(java.lang.String label)

    - #### isEmpty

          public boolean isEmpty()